---
title: Conclusio
weight: 7
description: 'Summary and final thoughts: Always challenge theses concepts, accumptions and claims!'
---

## Summary

In the project 'Edge Developer Framework' we start with DevOps, set platforms on top to automate golden paths, and finally set 'frameworks' (aka Orchestrators') on top to have declarative,automated and reconcilable platforms.



## From Devops over Platform to Framework Engineering

We come along from a quite well known, but already complex discipline called 'Platform Engineering', which is the next level devops. 
On top of these two domains we now have 'Framework Engineering', i.e. buildung dynamic, orchestrated and reconciling platforms:

| Classic Platform engineering | New: Framework Orchestration on top of Platforms | Your job: Framework Engineer  |
| -- | -- | -- |
| <img src="./images/layers-and-platform-engineer.png" width="200"> |<img src="./images/layers.png" width="200"> | <img src="./images/layers-and-framework-engineer.png" width="200"> |

## The whole picture of engineering

So always keep in mind that as as 'Framework Engineer' you 
 * include the skills of a platform and a devops engineer, 
 * you do Framework, Platform and Devops Engineering at the same time
 * and your results have impact on Frameworks, Platforms and Devops tools, layers, processes.

 The following diamond is illustrating this: on top is you, on the bottom is our baseline 'DevOps'

<img src="./images/modern.png" width="600">